From tecnologia-bounces@paraguayeduca.org Fri May 21 23:19:02 2010
Return-Path: <tecnologia-bounces@paraguayeduca.org>
X-Original-To: bernie@codewiz.org
Delivered-To: bernie@trinity.develer.com
Received: from mail-gw0-f54.google.com (mail-gw0-f54.google.com
 [74.125.83.54]) by trinity.develer.com (Postfix) with ESMTP id 9ED291D6098
 for <bernie@codewiz.org>; Fri, 21 May 2010 23:19:02 +0200 (CEST)
X-Virus-Status: Clean
X-Virus-Scanned: clamav-milter 0.95.2 at trinity.develer.com
Received: by gwj16 with SMTP id 16sf817614gwj.41 for <bernie@codewiz.org>;
 Fri, 21 May 2010 14:19:01 -0700 (PDT)
Received: by 10.150.252.8 with SMTP id z8mr3479199ybh.3.1274476741641; Fri,
 21 May 2010 14:19:01 -0700 (PDT)
Received: by 10.150.252.8 with SMTP id z8mr3479183ybh.3.1274476739872; Fri,
 21 May 2010 14:18:59 -0700 (PDT)
Received: from buho.paraguayeduca.org (mail.paraguayeduca.org
 [190.104.152.113]) by mx.google.com with ESMTP id
 u10si6938424ybe.65.2010.05.21.14.18.58; Fri, 21 May 2010 14:18:59 -0700
 (PDT)
Received-SPF: pass (google.com: domain of
 tecnologia-bounces@paraguayeduca.org designates 190.104.152.113 as
 permitted sender) client-ip=190.104.152.113;
Authentication-Results: mx.google.com; spf=pass (google.com: domain of
 tecnologia-bounces@paraguayeduca.org designates 190.104.152.113 as
 permitted sender) smtp.mail=tecnologia-bounces@paraguayeduca.org
Received: (qmail 12533 invoked by uid 508); 21 May 2010 17:28:43 -0400
Received: from localhost.localdomain (HELO buho.paraguayeduca.org)
 (127.0.0.1) by buho.paraguayeduca.org with SMTP; 21 May 2010 17:28:43 -0400
Delivered-To: paraguayeduca.org-tecnologia@paraguayeduca.org
Received: (qmail 12501 invoked by uid 508); 21 May 2010 17:28:41 -0400
Received: from jorge-laptop.oficina.paraguayeduca.org (HELO
 localhost.localdomain) (192.168.0.176) by buho.paraguayeduca.org with SMTP;
 21 May 2010 17:28:41 -0400
From: "Jorge (jasg) Saldivar" <jsaldivar@paraguayeduca.org>
To: bernie@codewiz.org
Date: Fri, 21 May 2010 17:18:13 -0400
Message-Id: <1274476695-12808-2-git-send-email-jsaldivar@paraguayeduca.org>
X-Mailer: git-send-email 1.7.0.4
In-Reply-To: <1274476695-12808-1-git-send-email-jsaldivar@paraguayeduca.org>
References: <1274476695-12808-1-git-send-email-jsaldivar@paraguayeduca.org>
Cc: Jorge Saldivar Galli <jorgesaldivar@gmail.com>,
 tecnologia@paraguayeduca.org
Subject: [Tecnologia] [sugar 2/4] Add the option to mount any user
 directory to journal
X-BeenThere: tecnologia@paraguayeduca.org
X-Mailman-Version: 2.1.12
Precedence: list
Reply-To: tecnologia@paraguayeduca.org
List-Id: <tecnologia.paraguayeduca.org>
List-Unsubscribe:
 <http://mail.paraguayeduca.org/mailman/options/tecnologia>, 
 <mailto:tecnologia-request@paraguayeduca.org?subject=unsubscribe>
List-Archive: <http://mail.paraguayeduca.org/mailman/private/tecnologia/>
List-Post: <mailto:tecnologia@paraguayeduca.org>
List-Help: <mailto:tecnologia-request@paraguayeduca.org?subject=help>
List-Subscribe:
 <http://mail.paraguayeduca.org/mailman/listinfo/tecnologia>,
 <mailto:tecnologia-request@paraguayeduca.org?subject=subscribe>
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Sender: tecnologia-bounces@paraguayeduca.org
Errors-To: tecnologia-bounces@paraguayeduca.org
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,SPF_PASS,
 T_RP_MATCHES_RCVD,UNPARSEABLE_RELAY autolearn=unavailable version=3.3.1
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on
 trinity.develer.com
X-Evolution-Source: imap://bernie@imap.develer.com/
Content-Transfer-Encoding: 8bit

From: Jorge Saldivar <jorge@jorge-laptop.(none)>


Signed-off-by: Jorge Saldivar Galli <jorgesaldivar@gmail.com>
---
 src/jarabe/journal/volumestoolbar.py |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

diff --git a/src/jarabe/journal/volumestoolbar.py b/src/jarabe/journal/volumestoolbar.py
index 74b974c..07e63a6 100644
--- a/src/jarabe/journal/volumestoolbar.py
+++ b/src/jarabe/journal/volumestoolbar.py
@@ -21,6 +21,7 @@ import gobject
 import gio
 import gtk
 import gconf
+import os
 
 from sugar.graphics.radiotoolbutton import RadioToolButton
 from sugar.graphics.palette import Palette
@@ -50,9 +51,18 @@ class VolumesToolbar(gtk.Toolbar):
         button.show()
         self._volume_buttons = [button]
 
+        button = DirectoryButton()
+        button.props.group = self._volume_buttons[0]
+        button.set_palette(Palette(_('Directory GNOME')))
+        button.connect('toggled', self._button_toggled_cb)
+        self.insert(button, 1)
+        button.show()
+        self._volume_buttons.append(button)
+
         self.connect('destroy', self.__destroy_cb)
 
         gobject.idle_add(self._set_up_volumes)
+	
 
     def __destroy_cb(self, widget):
         volume_monitor = gio.volume_monitor_get()
@@ -69,6 +79,7 @@ class VolumesToolbar(gtk.Toolbar):
         for mount in volume_monitor.get_mounts():
             self._add_button(mount)
 
+
     def __mount_added_cb(self, volume_monitor, mount):
         self._add_button(mount)
 
@@ -179,3 +190,14 @@ class JournalButton(BaseButton):
         color = XoColor(client.get_string('/desktop/sugar/user/color'))
         self.props.xo_color = color
 
+class DirectoryButton(BaseButton):
+    def __init__(self):
+        BaseButton.__init__(self, mount_point=os.environ['HOME'])
+        #BaseButton.__init__(self, mount_point="/tmp/hola")
+
+	    #self.props.active = False
+        self.props.named_icon = 'drive'
+
+        client = gconf.client_get_default()
+        color = XoColor(client.get_string('/desktop/sugar/user/color'))
+        self.props.xo_color = color
-- 
1.7.0.4

_______________________________________________
Tecnologia mailing list
Tecnologia@paraguayeduca.org
http://mail.paraguayeduca.org/mailman/listinfo/tecnologia


